This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 833089

Summary: [as7] Error updating local cache resource configuration
Product: [Other] RHQ Project Reporter: Stefan Negrea <snegrea>
Component: PluginsAssignee: Stefan Negrea <snegrea>
Status: CLOSED CURRENTRELEASE QA Contact: Mike Foley <mfoley>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 4.4CC: hrupp
Target Milestone: ---   
Target Release: RHQ 4.5.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 835702 (view as bug list) Environment:
Last Closed: 2013-09-01 06:07:45 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 826066, 835697    
Bug Blocks: 707223, 835702    

Description Stefan Negrea 2012-06-18 10:47:12 EDT
Description of problem:
Local cache resource of Infinispan does not have 'mode' property like other cache resources yet the configuration property is in the AS7 plugin descriptor. This causes an error when attempting to save the configuration for  any resource of local cache type.

How reproducible:
Every time

Steps to Reproduce:
1. Discovery and import a standalone AS7 server.
2. Navigate to subsystem=infinispan,cache-container=hibernate,local-cache=local-query
3. Attempt to save the configuration for the local cache resource
  
Actual results:
Error:
{JBAS014653: Composite operation failed and was rolled back. Steps that failed:={Operation step-1=JBAS014792: Unknown attribute mode}}

Expected results:
Resource configuration is saved properly.


Additional info:
This does not affect other cache types since they have the mode property available. This error is due to local cache sharing the same configuration descriptor with other types of cache resources.
Comment 1 Stefan Negrea 2012-06-18 11:17:01 EDT
Created a separate Local Cache resource descriptor with properties only applicable to this resource type.

master branch commits:
http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commit;h=b2f94df78ce141bed4167ed833547c37b8b89598
http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commit;h=c7dd1545b7a5264274a9f97289ee62c8dec76eee
Comment 2 Heiko W. Rupp 2013-09-01 06:07:45 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.